import greenfoot.UserInfo;
import java.lang.String;

public class OtherUserState
{
    UserInfo myInfo = null;
    String data;
    int myUserID;
    
    public OtherUserState(int userID)
    {
        myUserID = userID;
        updateUser();
        updateValues();
    }
    public OtherUserState(String username)
    {
        myUserID = UserState.getUserID(username);
    }
    public void updateValues()
    {
        data = myInfo.getString(0);
    }
    public void updateUser()
    {
        myInfo = UserState.getUser(myUserID);
    }
    public String getUserName()
    {
        if(myInfo != null) {
            return myInfo.getUserName();
        }
        return "UserNotFound";
    }
    /**
     * Gets the value at index
     * 0 <= index <= 49
     */
    public int getValue(int index)
    {
        int val = (int)data.charAt(index);
        if(val == 50001)
            return 13;
        else if(val == 50002)
            return 92;
        else
            return val;
    }
    public int getID()
    {
        return myUserID;
    }
}
