import greenfoot.*;
import javax.swing.JOptionPane;

public class TestWorld extends World
{
    ButtonGroup bg = new ButtonGroup();
    Button storeButton;
    Button getButton;
    UserState m;
    
    public TestWorld()
    { 
        super(600, 400, 1); 
        if(UserInfo.isStorageAvailable()) {
            m = new UserState();
            m.store();
            ColorButton b1 = new ColorButton();
            ColorButton b2 = new ColorButton();
            ColorButton b3 = new ColorButton();
            ColorButton b4 = new ColorButton();
            ColorButton b5 = new ColorButton();
            addObject(b1, 100, 100);
            addObject(b2, 200, 100);
            addObject(b3, 300, 100);
            addObject(b4, 400, 100);
            addObject(b5, 500, 100);
            bg.addButton(b1);
            bg.addButton(b2);
            bg.addButton(b3);
            bg.addButton(b4);
            bg.addButton(b5);
            
            storeButton = new Button(100, 50, "Store", 24);
            addObject(storeButton, 400, 200);
            getButton = new Button(100, 50, "Get", 24);
            addObject(getButton , 200, 200);
            
            
            /*m.setValue((byte)5, (byte)10);
            m.setValue((byte)6, (byte)11);
            m.setValue((byte)7, (byte)12);
            m.store();
            OtherUserState n = new OtherUserState(1);
            System.out.println(n.getValue(5));
            System.out.println(n.getValue(6));
            System.out.println(n.getValue(7));*/
        }
    }
    
    public void act()
    {
        if(storeButton.isClicked) {
            int[] e = bg.getButtonValues();
            for(int i = 0; i < 5; i++) {
                m.setValue(i, e[i]);
            }
            m.store();
        }
        if(getButton.isClicked) {
            String username = JOptionPane.showInputDialog(null, "Enter username:");
            int userID = UserState.getUserID(username);
            if(userID > 0) {
                OtherUserState n = new OtherUserState(userID);
                addObject(new DisplayButton(n.getValue(0)), 100, 300);
                addObject(new DisplayButton(n.getValue(1)), 200, 300);
                addObject(new DisplayButton(n.getValue(2)), 300, 300);
                addObject(new DisplayButton(n.getValue(3)), 400, 300);
                addObject(new DisplayButton(n.getValue(4)), 500, 300);
            }
            else {
                JOptionPane.showMessageDialog(null, "User not found!");
            }
        }
    }
}
